
#include "tilm4f120hqr.h"
#include "analog.h"
void initAnalog()
{
	// Turn on ADC clocks
	SET_BIT(SYSCTL_RCGCADC,BIT0+BIT1);
	// Turn on Port D (PD1 = Ain 6)
	SET_BIT(SYSCTL_RCGCGPIO,BIT3);
	// Turn on AHB access to port D
	SET_BIT(SYSCTL_GPIOHBCTL,BIT3);
	// Select Alternate function of port pin PD1
	SET_BIT(GPIOD_AFSEL,BIT1);
	// Turn off DEN bits of port pins
	CLEAR_BIT(GPIOD_DEN,BIT1);
	// Write 1 to AMSEL bits of port pins
	SET_BIT(GPIOD_AMSEL,BIT1);
	// Disable sample sequencers
	CLEAR_BIT(ADC0_ACTSS,BIT3+BIT2+BIT1+BIT0);
	// Set MUX0 on ADC0 to AIN 6
	ADC0_SSMUX0 = 6;
	// Make first sample = last sample in sequence
	ADC0_SSCTL0 = BIT1;
	// Don't send results to comparator unit
	ADC0_SSOP0 = 0;
	SET_BIT(ADC0_ACTSS,BIT0);	// Activate Sequencer 0
	
}
int readADC(int Channel)
{
	ADC0_SSMUX0 = Channel;  	// set ADC channel no.
	
	SET_BIT(ADC0_PSSI,BIT0); 	// Enable sequencer 0
								// (start conversion)
	while((ADC0_ACTSS & BIT16));// ADC Busy
	SET_BIT(ADC0_ACTSS,BIT0); 	// disable sequencer 0
	return (ADC0_SSFIFO0 & 0xfff); // return 12 LSB's
}

